include ../test_defines.mk

TARGET = run_test
TARGET_MODULE = ../modules_under_test/target_module.so
SOURCES += $(wildcard ./*.c)
OBJECTS = $(addprefix $(OBJDIR)/,$(notdir $(SOURCES:.c=.o)))

WRAP_FUNC=-Wl,--wrap=
MOCK_WRAP = amxb_get

LDFLAGS += -g $(addprefix $(WRAP_FUNC),$(MOCK_WRAP))
include ../test_targets.mk
